# Run GP Hurdle Model.r
# Run S-T NB Hurdle Model 
# Infiles:  1) Model = D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/model/gphurdle_model.txt
#		2) Data =  D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Data/bugsdata_training.txt (Training Data N=184K With bsplines for age)
#		3) Inits =  D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Inits/gphurdle_inits.txt + splineinits2
# Outfiles: "D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_NBHurdle/gphurdle_results.txt" (coda files for inits1)
# Revised April 8, 2013

# Revised Oct 10, 2013 GP Hurdle Model with Simple Map
# By Bruce Ling
#####################
library(R2WinBUGS)
 
rm (list = ls())

 source("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Makedata/writeDatafileR.txt")  
 parms<-c("alpha","beta","gamma1","gamma2","Phi","Psi","lam","Sigma.phi","rho.phi")  # gammas are bspline coefs for two parts
 #inits<-"D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Inits/gphurdle_inits.txt"
 model<-"D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/model/gphurdle_model_simpleMap.txt"

 data<-dget("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Data/bugsdata_training.txt")

 tmp<-proc.time()
 results<-bugs(data=data,inits=inits,parameters.to.save=parms,model.file=model,
  		  n.chains=1, n.iter=15000, n.burnin=5000, n.thin=10,save.history=F,
		  bugs.directory="C:/Users/ql44/Desktop/Desktop.WinBUGS14",DIC=F,codaPkg=T,debug=F,
		  #bugs.seed=022510,
		  working.directory="D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_GPHurdle/")
 totime<-proc.time()-tmp

 dput(results,"D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_GPHurdle/gphurdle_results.txt")

 # Remove Unnecessary files
 file.remove(c(paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_GPHurdle/script.txt",sep=""),
		   paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_GPHurdle/data.txt",sep=""),
		   paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_GPHurdle/log.txt",sep=""),
		   paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_GPHurdle/log.odc",sep="")))

coda<-as.matrix(read.bugs(dget("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_GPHurdle/gphurdle_results.txt")))

