# Run Poisson Model.r
# Run S-T Poisson Hurdle Model 
# Infiles:  1) Model = D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/model/poisson_model.txt
#		2) Data =  D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Data/bugsdata_training.txt (Training Data N=114K With bsplines for age)
#		3) Inits =  D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_PoiHurd/poisson_inits.txt 
# Outfiles: "D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_PoiHurd/phurdle_results.txt" (coda files for inits1)
# Nov 15, 2012
# Revised March 20, 2013
#####################
library(R2WinBUGS)

 source("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Makedata/writeDatafileR.txt")  
 parms<-c("alpha","beta","gamma1","gamma2","Phi","Psi","Delta1",
	    "Delta2","Sigma.phi","rho","rho.phi","Sigma.zeta","rho.zeta")  # gammas are bspline coefs for two parts
 model<-"D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/model/phurdle_model.txt"
 inits<-"D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Inits/phurdle_inits.txt"
 data<-dget("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Data/bugsdata_training.txt")

 tmp<-proc.time()
 results<-bugs(data=data,inits=inits,parameters.to.save=parms,model.file=model,
  		  n.chains=1, n.iter=150, n.burnin=50,n.thin=2,save.history=F,
		  bugs.directory="D:/Program_Files/WinBUGS14",DIC=F,codaPkg=T,debug=T,
		  #bugs.seed=022510,
		  working.directory="D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_PHurdle_SimpleMap/")
 totime<-proc.time()-tmp

 dput(results,"D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_PHurdle/phurdle_results.txt")

 # Remove Unnecessary files
 file.remove(c(paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_PHurdle/script.txt",sep=""),
		   paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_PHurdle/data.txt",sep=""),
		   paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_PHurdle/log.txt",sep=""),
		   paste("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_PHurdle/log.odc",sep="")))

 coda<-as.matrix(read.bugs(dget("D:/User_Data/25650_BMS_CMS/BMS/ST_ED/R/Coda_PHurdle/phurdle_results.txt")))

